
Ruby - Bug #13672

Garbage input hangs ruby (not responding ^C)

06/23/2017 08:30 AM - shyouhei (Shyouhei Urabe)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.5.0dev (2017-06-23 trunk 59146)

[x86_64-darwin15]

Backport: 2.2: WONTFIX, 2.3: DONE, 2.4: DONE

Description

Passing the attached file makes hang.

ruby hang.rb

Associated revisions

Revision d391697331fc0cdef9c3084e248af0d446cd9dd0 - 06/23/2017 11:20 AM - nobu (Nobuyoshi Nakada)

parse.y: check multibyte char

parse.y (parser_precise_mbclen): check invalid multibyte char at

skipping strings following ?x literal string, not to stuck in

a infinite loop.  [ruby-core:81746] [Bug #13672]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59161 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision d3916973 - 06/23/2017 11:20 AM - nobu (Nobuyoshi Nakada)

parse.y: check multibyte char

parse.y (parser_precise_mbclen): check invalid multibyte char at

skipping strings following ?x literal string, not to stuck in

a infinite loop.  [ruby-core:81746] [Bug #13672]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59161 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 5974191113ade01641a3799192f5cb0f12fe1e9d - 06/30/2017 01:05 PM - U.Nakamura 

merge revision(s) 59161: [Backport #13672]

    parse.y: check multibyte char

    * parse.y (parser_precise_mbclen): check invalid multibyte char at

      skipping strings following `?x` literal string, not to stuck in

      a infinite loop.  [ruby-core:81746] [Bug #13672]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@59241 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 59741911 - 06/30/2017 01:05 PM - U.Nakamura 

merge revision(s) 59161: [Backport #13672]

    parse.y: check multibyte char

    * parse.y (parser_precise_mbclen): check invalid multibyte char at

      skipping strings following `?x` literal string, not to stuck in

      a infinite loop.  [ruby-core:81746] [Bug #13672]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@59241 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e9ef3cfdf8c6d1ca07c00e988252601c2a8b60da - 07/23/2017 07:44 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 59161: [Backport #13672]

    parse.y: check multibyte char

    * parse.y (parser_precise_mbclen): check invalid multibyte char at
      skipping strings following `?x` literal string, not to stuck in

      a infinite loop.  [ruby-core:81746] [Bug #13672]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@59401 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e9ef3cfd - 07/23/2017 07:44 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 59161: [Backport #13672]

    parse.y: check multibyte char

    * parse.y (parser_precise_mbclen): check invalid multibyte char at

      skipping strings following `?x` literal string, not to stuck in

      a infinite loop.  [ruby-core:81746] [Bug #13672]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@59401 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/23/2017 11:20 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset trunk|r59161.

parse.y: check multibyte char

parse.y (parser_precise_mbclen): check invalid multibyte char at

skipping strings following ?x literal string, not to stuck in

a infinite loop.  [ruby-core:81746] [Bug #13672]

#2 - 06/29/2017 05:14 PM - usa (Usaku NAKAMURA)

- Backport changed from 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: REQUIRED to 2.2: WONTFIX, 2.3: REQUIRED, 2.4: REQUIRED

memo: it seems that this not appears on ruby_2_3, but it should be backported.

#3 - 06/30/2017 01:06 PM - usa (Usaku NAKAMURA)

- Backport changed from 2.2: WONTFIX, 2.3: REQUIRED, 2.4: REQUIRED to 2.2: WONTFIX, 2.3: DONE, 2.4: REQUIRED

ruby_2_3 r59241 merged revision(s) 59161.

#4 - 07/23/2017 07:45 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.2: WONTFIX, 2.3: DONE, 2.4: REQUIRED to 2.2: WONTFIX, 2.3: DONE, 2.4: DONE

ruby_2_4 r59401 merged revision(s) 59161.

Files

hang.rb 4 Bytes 06/23/2017 shyouhei (Shyouhei Urabe)

Powered by TCPDF (www.tcpdf.org)

05/12/2025 2/2

https://blade.ruby-lang.org/ruby-core/81746
https://redmine.ruby-lang.org/issues/13672
http://www.tcpdf.org

